CC = iccavr
CFLAGS =  -e -D__ICC_VERSION="7.13A" -DATMEGA -D_EE_EXTIO -DATMega168  -l -g -Mavr_enhanced 
ASFLAGS = $(CFLAGS)  -Wa-g
LFLAGS =  -g -e:0x4000 -ucrtatmega.o -bfunc_lit:0x68.0x4000 -dram_end:0x4ff -bdata:0x100.0x4ff -dhwstk_size:30 -beeprom:0.512 -fihx_coff -S2
FILES = SmartLCD_Controller.o SmartLCD_Init.o SmartLCD_ISRs.o SmartLCD_SPI.o SmartLCD_Uart.o SmartLCD_Utilities.o TWI_slave.o 

SMARTLCD_CONTROLLER:	$(FILES)
	$(CC) -o SMARTLCD_CONTROLLER $(LFLAGS) @SMARTLCD_CONTROLLER.lk   -lcatmega
SmartLCD_Controller.o: C:\iccv7avr\include\iom168v.h C:\iccv7avr\include\macros.h C:\iccv7avr\include\string.h C:\iccv7avr\include\_const.h C:\iccv7avr\include\stdlib.h C:\iccv7avr\include\limits.h C:\iccv7avr\include\math.h C:\DOCUME~1\stephen\Desktop\SMARTL~1\SMARTL~1.88\SmartLCD_Uart.h C:\DOCUME~1\stephen\Desktop\SMARTL~1\SMARTL~1.88\SmartLCD_Defines.h C:\DOCUME~1\stephen\Desktop\SMARTL~1\SMARTL~1.88\SmartLCD_Extern.h
SmartLCD_Controller.o:	C:\DOCUME~1\stephen\Desktop\SMARTL~1\SMARTL~1.88\SmartLCD_Controller.c
	$(CC) -c $(CFLAGS) C:\DOCUME~1\stephen\Desktop\SMARTL~1\SMARTL~1.88\SmartLCD_Controller.c
SmartLCD_Init.o: C:\iccv7avr\include\iom168v.h C:\iccv7avr\include\macros.h C:\iccv7avr\include\string.h C:\iccv7avr\include\_const.h C:\iccv7avr\include\stdlib.h C:\iccv7avr\include\limits.h C:\DOCUME~1\stephen\Desktop\SMARTL~1\SMARTL~1.88\SmartLCD_Uart.h C:\DOCUME~1\stephen\Desktop\SMARTL~1\SMARTL~1.88\SmartLCD_Defines.h C:\DOCUME~1\stephen\Desktop\SMARTL~1\SMARTL~1.88\SmartLCD_Extern.h
SmartLCD_Init.o:	C:\DOCUME~1\stephen\Desktop\SMARTL~1\SMARTL~1.88\SmartLCD_Init.c
	$(CC) -c $(CFLAGS) C:\DOCUME~1\stephen\Desktop\SMARTL~1\SMARTL~1.88\SmartLCD_Init.c
SmartLCD_ISRs.o: C:\iccv7avr\include\iom168v.h C:\iccv7avr\include\macros.h C:\iccv7avr\include\string.h C:\iccv7avr\include\_const.h C:\iccv7avr\include\stdlib.h C:\iccv7avr\include\limits.h C:\DOCUME~1\stephen\Desktop\SMARTL~1\SMARTL~1.88\SmartLCD_Uart.h C:\DOCUME~1\stephen\Desktop\SMARTL~1\SMARTL~1.88\SmartLCD_Defines.h C:\DOCUME~1\stephen\Desktop\SMARTL~1\SMARTL~1.88\SmartLCD_Extern.h
SmartLCD_ISRs.o:	C:\DOCUME~1\stephen\Desktop\SMARTL~1\SMARTL~1.88\SmartLCD_ISRs.c
	$(CC) -c $(CFLAGS) C:\DOCUME~1\stephen\Desktop\SMARTL~1\SMARTL~1.88\SmartLCD_ISRs.c
SmartLCD_SPI.o: C:\iccv7avr\include\iom168v.h C:\iccv7avr\include\macros.h C:\iccv7avr\include\string.h C:\iccv7avr\include\_const.h C:\iccv7avr\include\stdlib.h C:\iccv7avr\include\limits.h C:\DOCUME~1\stephen\Desktop\SMARTL~1\SMARTL~1.88\SmartLCD_Uart.h C:\DOCUME~1\stephen\Desktop\SMARTL~1\SMARTL~1.88\SmartLCD_Defines.h C:\DOCUME~1\stephen\Desktop\SMARTL~1\SMARTL~1.88\SmartLCD_Extern.h
SmartLCD_SPI.o:	C:\DOCUME~1\stephen\Desktop\SMARTL~1\SMARTL~1.88\SmartLCD_SPI.c
	$(CC) -c $(CFLAGS) C:\DOCUME~1\stephen\Desktop\SMARTL~1\SMARTL~1.88\SmartLCD_SPI.c
SmartLCD_Uart.o: C:\iccv7avr\include\iom168v.h C:\iccv7avr\include\macros.h C:\iccv7avr\include\string.h C:\iccv7avr\include\_const.h C:\iccv7avr\include\stdlib.h C:\iccv7avr\include\limits.h C:\DOCUME~1\stephen\Desktop\SMARTL~1\SMARTL~1.88\SmartLCD_Uart.h C:\DOCUME~1\stephen\Desktop\SMARTL~1\SMARTL~1.88\SmartLCD_Defines.h C:\DOCUME~1\stephen\Desktop\SMARTL~1\SMARTL~1.88\SmartLCD_Extern.h
SmartLCD_Uart.o:	C:\DOCUME~1\stephen\Desktop\SMARTL~1\SMARTL~1.88\SmartLCD_Uart.c
	$(CC) -c $(CFLAGS) C:\DOCUME~1\stephen\Desktop\SMARTL~1\SMARTL~1.88\SmartLCD_Uart.c
SmartLCD_Utilities.o: C:\iccv7avr\include\iom168v.h C:\iccv7avr\include\macros.h C:\iccv7avr\include\string.h C:\iccv7avr\include\_const.h C:\iccv7avr\include\stdlib.h C:\iccv7avr\include\limits.h C:\DOCUME~1\stephen\Desktop\SMARTL~1\SMARTL~1.88\SmartLCD_Uart.h C:\DOCUME~1\stephen\Desktop\SMARTL~1\SMARTL~1.88\SmartLCD_Defines.h C:\DOCUME~1\stephen\Desktop\SMARTL~1\SMARTL~1.88\SmartLCD_Extern.h
SmartLCD_Utilities.o:	C:\DOCUME~1\stephen\Desktop\SMARTL~1\SMARTL~1.88\SmartLCD_Utilities.c
	$(CC) -c $(CFLAGS) C:\DOCUME~1\stephen\Desktop\SMARTL~1\SMARTL~1.88\SmartLCD_Utilities.c
TWI_slave.o: C:\iccv7avr\include\stdio.h C:\iccv7avr\include\stdarg.h C:\iccv7avr\include\_const.h C:\iccv7avr\include\iom168v.h C:\iccv7avr\include\macros.h C:\DOCUME~1\stephen\Desktop\SmartLCD\TWI_slave.h
TWI_slave.o:	C:\DOCUME~1\stephen\Desktop\SmartLCD\TWI_slave.c
	$(CC) -c $(CFLAGS) C:\DOCUME~1\stephen\Desktop\SmartLCD\TWI_slave.c
