CC = iccavr
CFLAGS =  -e -D__ICC_VERSION="7.13A" -DATMEGA -D_EE_EXTIO -DATMega168  -l -g -Mavr_enhanced 
ASFLAGS = $(CFLAGS)  -Wa-g
LFLAGS =  -g -e:0x4000 -ucrtatmega.o -bfunc_lit:0x68.0x4000 -dram_end:0x4ff -bdata:0x100.0x4ff -dhwstk_size:65 -beeprom:0.512 -fihx_coff -S2
FILES = SmartLCD_Accelerometer.o SmartLCD_Buttons.o SmartLCD_LCD.o TinyLCD_Controller.o TinyLCD_Init.o TinyLCD_ISRs.o TinyLCD_SPI.o TinyLCD_TWI.o TinyLCD_Uart.o TinyLCD_Utilities.o 

TINYLCD_CONTROLLER:	$(FILES)
	$(CC) -o TINYLCD_CONTROLLER $(LFLAGS) @TINYLCD_CONTROLLER.lk   -lfpatmega -lcatmega
SmartLCD_Accelerometer.o: C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\TinyLCD_Uart.h C:\iccv7avr\include\iom168v.h C:\iccv7avr\include\stdlib.h C:\iccv7avr\include\_const.h C:\iccv7avr\include\limits.h C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\TinyLCD_Extern.h C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\TinyLCD_Defines.h C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\SmartLCD_Accelerometer.h
SmartLCD_Accelerometer.o:	C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\SmartLCD_Accelerometer.c
	$(CC) -c $(CFLAGS) C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\SmartLCD_Accelerometer.c
SmartLCD_Buttons.o: C:\iccv7avr\include\iom168v.h C:\iccv7avr\include\macros.h C:\iccv7avr\include\string.h C:\iccv7avr\include\_const.h C:\iccv7avr\include\stdlib.h C:\iccv7avr\include\limits.h C:\iccv7avr\include\math.h C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\TinyLCD_Uart.h C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\TinyLCD_Defines.h C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\TinyLCD_Extern.h C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\SmartLCD_Buttons.h
SmartLCD_Buttons.o:	C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\SmartLCD_Buttons.c
	$(CC) -c $(CFLAGS) C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\SmartLCD_Buttons.c
SmartLCD_LCD.o: C:\iccv7avr\include\iom168v.h C:\iccv7avr\include\macros.h C:\iccv7avr\include\string.h C:\iccv7avr\include\_const.h C:\iccv7avr\include\stdlib.h C:\iccv7avr\include\limits.h C:\iccv7avr\include\math.h C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\TinyLCD_Uart.h C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\TinyLCD_Defines.h C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\TinyLCD_Extern.h C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\SmartLCD_LCD.h C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\SmartLCD_Accelerometer.h
SmartLCD_LCD.o:	C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\SmartLCD_LCD.c
	$(CC) -c $(CFLAGS) C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\SmartLCD_LCD.c
TinyLCD_Controller.o: C:\iccv7avr\include\iom168v.h C:\iccv7avr\include\macros.h C:\iccv7avr\include\string.h C:\iccv7avr\include\_const.h C:\iccv7avr\include\stdlib.h C:\iccv7avr\include\limits.h C:\iccv7avr\include\math.h C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\TinyLCD_Uart.h C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\TinyLCD_Defines.h C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\TinyLCD_Extern.h C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\USI_TWI_Slave.h C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\SmartLCD_Accelerometer.h C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\SmartLCD_LCD.h C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\SmartLCD_Buttons.h
TinyLCD_Controller.o:	C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\TinyLCD_Controller.c
	$(CC) -c $(CFLAGS) C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\TinyLCD_Controller.c
TinyLCD_Init.o: C:\iccv7avr\include\iom168v.h C:\iccv7avr\include\macros.h C:\iccv7avr\include\string.h C:\iccv7avr\include\_const.h C:\iccv7avr\include\stdlib.h C:\iccv7avr\include\limits.h C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\TinyLCD_Uart.h C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\TinyLCD_Defines.h C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\TinyLCD_Extern.h
TinyLCD_Init.o:	C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\TinyLCD_Init.c
	$(CC) -c $(CFLAGS) C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\TinyLCD_Init.c
TinyLCD_ISRs.o: C:\iccv7avr\include\iom168v.h C:\iccv7avr\include\macros.h C:\iccv7avr\include\string.h C:\iccv7avr\include\_const.h C:\iccv7avr\include\stdlib.h C:\iccv7avr\include\limits.h C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\TinyLCD_Uart.h C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\TinyLCD_Defines.h C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\TinyLCD_Extern.h
TinyLCD_ISRs.o:	C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\TinyLCD_ISRs.c
	$(CC) -c $(CFLAGS) C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\TinyLCD_ISRs.c
TinyLCD_SPI.o: C:\iccv7avr\include\iom168v.h C:\iccv7avr\include\macros.h C:\iccv7avr\include\string.h C:\iccv7avr\include\_const.h C:\iccv7avr\include\stdlib.h C:\iccv7avr\include\limits.h C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\TinyLCD_Uart.h C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\TinyLCD_Defines.h C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\TinyLCD_Extern.h
TinyLCD_SPI.o:	C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\TinyLCD_SPI.c
	$(CC) -c $(CFLAGS) C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\TinyLCD_SPI.c
TinyLCD_TWI.o: C:\iccv7avr\include\iom168v.h C:\iccv7avr\include\macros.h C:\iccv7avr\include\string.h C:\iccv7avr\include\_const.h C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\TinyLCD_Uart.h C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\TinyLCD_Defines.h C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\TinyLCD_Extern.h
TinyLCD_TWI.o:	C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\TinyLCD_TWI.c
	$(CC) -c $(CFLAGS) C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\TinyLCD_TWI.c
TinyLCD_Uart.o: C:\iccv7avr\include\iom168v.h C:\iccv7avr\include\macros.h C:\iccv7avr\include\string.h C:\iccv7avr\include\_const.h C:\iccv7avr\include\stdlib.h C:\iccv7avr\include\limits.h C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\TinyLCD_Uart.h C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\TinyLCD_Defines.h C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\TinyLCD_Extern.h
TinyLCD_Uart.o:	C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\TinyLCD_Uart.c
	$(CC) -c $(CFLAGS) C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\TinyLCD_Uart.c
TinyLCD_Utilities.o: C:\iccv7avr\include\iom168v.h C:\iccv7avr\include\macros.h C:\iccv7avr\include\string.h C:\iccv7avr\include\_const.h C:\iccv7avr\include\stdlib.h C:\iccv7avr\include\limits.h C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\TinyLCD_Uart.h C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\TinyLCD_Defines.h C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\TinyLCD_Extern.h
TinyLCD_Utilities.o:	C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\TinyLCD_Utilities.c
	$(CC) -c $(CFLAGS) C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\TinyLCD_Utilities.c
