	.module TinyLCD_Controller.c
	.area text(rom, con, rel)
	.dbfile C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\TinyLCD_Controller.c
	.area lit(rom, con, rel)
_signon1::
	.byte 10,13,10,13,'L,'E,'D,56,32,'M,'o,'n,'i,'t,'o,'r
	.byte 32,'V,48,46,56,54,10,13,0
	.dbsym e signon1 _signon1 A[25:25]kc
	.area text(rom, con, rel)
	.dbfile C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\TinyLCD_Controller.c
	.dbfunc e main _main fV
;           temp -> y+15
;          level -> R20,R21
;            sw4 -> R12
;            sw3 -> R22
;            sw2 -> R14
;            sw1 -> y+28
;          temp1 -> y+2
	.even
_main::
	sbiw R28,29
	.dbline -1
	.dbline 118
; /**************************************************************
; 
;    Program Title:  TinyLCD Controller
;    
;    Program Name:  TinyLCD_Controller.c	  Version: 0.87
;    
;    Author:  SS/WR	  					  Date:  February 29, 2008
; 
;    This program demonstrates the ST Electronics three axis 
;    programmable accelerometer and the LCD. 
; 
; 
; 
;    Fuse settings should be:  F9 DF E2
;    
;    Copyright 2004-2008, SOC Robotics, Inc.  All rights reserved.
;    
; ****************************************************************/
; /*
;  * Copyright 2004-2008, SOC Robotics, Inc.  All rights reserved.
;  *
;  * Redistribution and use in source and binary forms, with or without
;  * modification, are permitted provided that the following conditions
;  * are met:
;  *
;  * 1. Redistributions of source code must retain the above copyright
;  *    notice, this list of conditions and the following disclaimer.
;  * 2. Redistributions in binary form must reproduce the above copyright
;  *    notice, this list of conditions and the following disclaimer in the
;  *    documentation and/or other materials provided with the distribution.
;  * 3. Neither the name of the copyright holders nor the names of
;  *    contributors may be used to endorse or promote products derived
;  *    from this software without specific prior written permission.
;  * 4. Redistribution is only allowed in combination with SOC Machines, 
;  *    Inc. hardware products.
;  *
;  * THIS SOFTWARE IS PROVIDED BY SOC MACHINES, INC. AND CONTRIBUTORS
;  * ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
;  * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
;  * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL SOC MACHINES, 
;  * INC. OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
;  * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
;  * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
;  * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
;  * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
;  * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF
;  * THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
;  * SUCH DAMAGE.
;  *
;  * For additional information see http://www.soc-robotics.com
;  */
; 
; 
; #include <iom168v.h>
; #include <macros.h>
; #include <string.h>
; #include <stdlib.h>
; #include <math.h>
; //#include <stdio.h>
; #include "TinyLCD_Uart.h"
; #include "TinyLCD_Defines.h"
; #include "TinyLCD_Extern.h"
; #include "USI_TWI_Slave.h"
; 
; #include "SmartLCD_Accelerometer.h"
; #include "SmartLCD_LCD.h"
; #include "SmartLCD_Buttons.h"
; 
; 
; //  Variable declarations
; unsigned int intelsuperaddress,oldpage,oldbyteoffset,totalrxcnt;
; unsigned int rtccountdown1,rtccountdown2,rtccountdown3,rtccountdown4;
; unsigned int mseccountdown1,mseccountdown2,mseccountdown3,mseccountdown4;
; unsigned int mseccountdown5;
; unsigned int seconds,minutes,hours,days;
; 
; unsigned int totalbytecnt,xoncnt,xoffcnt;
; unsigned char frameerror,dataoverrun,numstrg[9];
; unsigned char rtcclockcnt;
; 
; char key1state,key2state,key3state,key4state;
; char key1toggle,key2toggle,key3toggle,key4toggle;
; 
; extern int _textmode;
; 
; /* Static Variables */
; unsigned char UART_RxBuf[UART_RX_BUFFER_SIZE];
; unsigned char UART_RxHead;
; unsigned char UART_RxTail;
; unsigned char UART_TxBuf[UART_TX_BUFFER_SIZE];
; unsigned char UART_TxHead;
; unsigned char UART_TxTail;
; char  xoffsent, xonsent, enablexonoff, echoinchars,sendxoff;
; char  rxcnt,checkflag,rxcntmax;
; unsigned char  instrg[8],vlow,vhigh,hexbyte[3];
; 
; unsigned char FlashAddress[3];
; const char signon1[] = "\n\r\n\rLED8 Monitor V0.86\n\r";
; 
; // Function declarations
; unsigned char EEPROMwrite(int,unsigned char);
; unsigned char EEPROMread(int);
; 
; // Sample TWI transmission commands
; #define TWI_CMD_MASTER_WRITE 0x00
; #define TWI_CMD_MASTER_READ  0x01
; 
; // TBD - how many bytes can be transmitted per 2-wire operation?
; #define MESSAGEBUF_SIZE       4
; 
; //  Set default slave address
; #define    TWI_SLAVEADDRESS		 0x15
; 
; 
; 
; 
; void main()
; {
	.dbline 119
;  	unsigned char sw1=0,sw2=0,sw3=0,sw4=0;
	clr R0
	std y+28,R0
	.dbline 119
	clr R14
	.dbline 119
	clr R22
	.dbline 119
	clr R12
	.dbline 120
;  	int level=0;
	clr R20
	clr R21
	.dbline 123
;  	unsigned char temp[13];
; 	unsigned char temp1[13];
; 	Init_AVR();
	xcall _Init_AVR
	.dbline 124
;     Init_LCD();
	xcall _Init_LCD
	.dbline 125
;     Clear_LCD();     
	xcall _Clear_LCD
	.dbline 126
;     Adjust_VoltageVolume();
	xcall _Adjust_VoltageVolume
	.dbline 128
; 	
; 	setAccelerometerRange(ACCELEROMETER_1g5);
	clr R16
	xcall _setAccelerometerRange
	.dbline 129
; 	enableAccelerometer(ON);
	ldi R16,1
	xcall _enableAccelerometer
	.dbline 131
; 	
;     SplashScreen();
	xcall _SplashScreen
	.dbline 132
; 	Adjust_VoltageVolume();
	xcall _Adjust_VoltageVolume
	.dbline 134
; 	
;     DisplayLCDBuffers();
	xcall _DisplayLCDBuffers
	xjmp L3
L2:
	.dbline 138
; 	
; 
; 
; 	while(1) {
	.dbline 140
; 			 //see which button if any was pressed 
; 			 if (buttonState(SW1) == ON)
	ldi R16,2
	xcall _buttonState
	cpi R16,1
	brne L5
X0:
	.dbline 141
; 			 {
L7:
	.dbline 142
; 			  	while(buttonState(SW1) == ON);//wait till its off
L8:
	.dbline 142
	ldi R16,2
	xcall _buttonState
	cpi R16,1
	breq L7
X1:
	.dbline 144
; 				
; 				sw1 = ~sw1;
	ldd R0,y+28
	com R0
	std y+28,R0
	.dbline 145
; 				sw4 = 0;//we will want switch 4 off
	clr R12
	.dbline 146
; 			 }
L5:
	.dbline 148
; 			 
; 			 if (buttonState(SW2) == ON)
	ldi R16,3
	xcall _buttonState
	mov R10,R16
	cpi R16,1
	brne L10
X2:
	.dbline 149
; 			 {
L12:
	.dbline 150
;  			  	while(buttonState(SW2) == ON);//wait till its off
L13:
	.dbline 150
	ldi R16,3
	xcall _buttonState
	mov R10,R16
	cpi R16,1
	breq L12
X3:
	.dbline 152
; 				
; 				sw2 = ~sw2;
	com R14
	.dbline 153
; 			 }
L10:
	.dbline 154
; 			 if (buttonState(SW3) == ON)
	ldi R16,4
	xcall _buttonState
	mov R10,R16
	cpi R16,1
	brne L15
X4:
	.dbline 155
; 			 {
L17:
	.dbline 156
;  			  	while(buttonState(SW3) == ON);//wait till its off
L18:
	.dbline 156
	ldi R16,4
	xcall _buttonState
	mov R10,R16
	cpi R16,1
	breq L17
X5:
	.dbline 158
; 				
; 				sw3 = ~sw3;
	com R22
	.dbline 159
; 			 }
L15:
	.dbline 160
; 			 if (buttonState(SW4) == ON)
	ldi R16,7
	xcall _buttonState
	mov R10,R16
	cpi R16,1
	brne L20
X6:
	.dbline 161
; 			 {
L22:
	.dbline 162
;  			  	while(buttonState(SW4) == ON);//wait till its off
L23:
	.dbline 162
	ldi R16,7
	xcall _buttonState
	mov R10,R16
	cpi R16,1
	breq L22
X7:
	.dbline 164
; 				
; 				sw4 = ~sw4;
	com R12
	.dbline 165
; 				sw1 = 0;//we will want sw1 off
	clr R0
	std y+28,R0
	.dbline 166
; 			 }
L20:
	.dbline 171
; 			 
; 			 
; 			 
; 			 //do something depending on which button is on
; 			 if(sw1)
	ldd R0,y+28
	tst R0
	breq L25
X8:
	.dbline 172
; 			 { 
	.dbline 173
; 			      PutStringinBuffer(0,0,"System");
	ldi R24,<L27
	ldi R25,>L27
	std y+1,R25
	std y+0,R24
	clr R18
	clr R16
	xcall _PutStringinBuffer
	.dbline 174
; 				  PutStringinBuffer(1,0,"time is");
	ldi R24,<L28
	ldi R25,>L28
	std y+1,R25
	std y+0,R24
	clr R18
	ldi R16,1
	xcall _PutStringinBuffer
	.dbline 175
; 			  	  DisplayTime(2,0);
	clr R18
	ldi R16,2
	xcall _DisplayTime
	.dbline 176
; 				  PutStringinBuffer(3,0,"");
	ldi R24,<L29
	ldi R25,>L29
	std y+1,R25
	std y+0,R24
	clr R18
	ldi R16,3
	xcall _PutStringinBuffer
	.dbline 177
; 			 }else if(sw4)
	xjmp L26
L25:
	.dbline 177
	tst R12
	brne X14
	xjmp L30
X14:
X9:
	.dbline 178
; 			 {
	.dbline 179
; 			  	   strcpy(temp1,"G Readings");
	ldi R18,<L32
	ldi R19,>L32
	movw R16,R28
	subi R16,254  ; offset = 2
	sbci R17,255
	xcall _strcpy
	.dbline 180
; 				   PutStringinBuffer(0,0,temp1);				  
	movw R24,R28
	adiw R24,2
	std y+1,R25
	std y+0,R24
	clr R18
	clr R16
	xcall _PutStringinBuffer
	.dbline 182
; 			 
; 			       printint(readAccelerometer(X_AXIS), temp);
	clr R16
	xcall _readAccelerometer
	movw R18,R28
	subi R18,241  ; offset = 15
	sbci R19,255
	xcall _printint
	.dbline 183
; 				   strcpy(temp1,"X=");
	ldi R18,<L33
	ldi R19,>L33
	movw R16,R28
	subi R16,254  ; offset = 2
	sbci R17,255
	xcall _strcpy
	.dbline 184
; 	 		 	   strcat(temp1,temp);
	movw R18,R28
	subi R18,241  ; offset = 15
	sbci R19,255
	movw R16,R28
	subi R16,254  ; offset = 2
	sbci R17,255
	xcall _strcat
	.dbline 185
; 				   PutStringinBuffer(1,0,temp1);
	movw R24,R28
	adiw R24,2
	std y+1,R25
	std y+0,R24
	clr R18
	ldi R16,1
	xcall _PutStringinBuffer
	.dbline 187
; 					
; 				   printint(readAccelerometer(Y_AXIS), temp);
	ldi R16,1
	xcall _readAccelerometer
	movw R18,R28
	subi R18,241  ; offset = 15
	sbci R19,255
	xcall _printint
	.dbline 188
; 				   strcpy(temp1,"Y=");
	ldi R18,<L34
	ldi R19,>L34
	movw R16,R28
	subi R16,254  ; offset = 2
	sbci R17,255
	xcall _strcpy
	.dbline 189
; 	 		 	   strcat(temp1,temp);
	movw R18,R28
	subi R18,241  ; offset = 15
	sbci R19,255
	movw R16,R28
	subi R16,254  ; offset = 2
	sbci R17,255
	xcall _strcat
	.dbline 190
; 				   PutStringinBuffer(2,0,temp1);
	movw R24,R28
	adiw R24,2
	std y+1,R25
	std y+0,R24
	clr R18
	ldi R16,2
	xcall _PutStringinBuffer
	.dbline 192
; 					
; 				   printint(readAccelerometer(Z_AXIS), temp);
	ldi R16,2
	xcall _readAccelerometer
	movw R10,R16
	movw R18,R28
	subi R18,241  ; offset = 15
	sbci R19,255
	xcall _printint
	.dbline 193
; 				   strcpy(temp1,"Z=");
	ldi R18,<L35
	ldi R19,>L35
	movw R16,R28
	subi R16,254  ; offset = 2
	sbci R17,255
	xcall _strcpy
	.dbline 194
; 	 		 	   strcat(temp1,temp);
	movw R18,R28
	subi R18,241  ; offset = 15
	sbci R19,255
	movw R16,R28
	subi R16,254  ; offset = 2
	sbci R17,255
	xcall _strcat
	.dbline 195
; 				   PutStringinBuffer(3,0,temp1);
	movw R24,R28
	adiw R24,2
	std y+1,R25
	std y+0,R24
	clr R18
	ldi R16,3
	xcall _PutStringinBuffer
	.dbline 196
; 			 }else
	xjmp L31
L30:
	.dbline 197
; 			 {
	.dbline 198
; 			        PutStringinBuffer(0,0,"Push a");
	ldi R24,<L36
	ldi R25,>L36
	std y+1,R25
	std y+0,R24
	clr R18
	clr R16
	xcall _PutStringinBuffer
	.dbline 199
; 					PutStringinBuffer(1,0,"button");
	ldi R24,<L37
	ldi R25,>L37
	std y+1,R25
	std y+0,R24
	clr R18
	ldi R16,1
	xcall _PutStringinBuffer
	.dbline 200
; 					PutStringinBuffer(2,0,"to change");
	ldi R24,<L38
	ldi R25,>L38
	std y+1,R25
	std y+0,R24
	clr R18
	ldi R16,2
	xcall _PutStringinBuffer
	.dbline 201
; 					PutStringinBuffer(3,0,"the display");
	ldi R24,<L39
	ldi R25,>L39
	std y+1,R25
	std y+0,R24
	clr R18
	ldi R16,3
	xcall _PutStringinBuffer
	.dbline 202
; 			  }
L31:
L26:
	.dbline 204
; 			  
; 			  if(sw2)
	tst R14
	breq L40
X10:
	.dbline 205
; 			  {
	.dbline 206
; 			  	  LCD_Battery(level);
	mov R16,R20
	xcall _LCD_Battery
	.dbline 207
; 			 	  LCD_Antenna(level++);
	movw R10,R20
	subi R20,255  ; offset = 1
	sbci R21,255
	mov R16,R10
	xcall _LCD_Antenna
	.dbline 208
; 			 	  if(level==7) level = 1;
	cpi R20,7
	ldi R30,0
	cpc R21,R30
	brne L42
X11:
	.dbline 208
	ldi R20,1
	ldi R21,0
L42:
	.dbline 209
; 			  }
L40:
	.dbline 210
; 			  if (sw3)
	tst R22
	breq L44
X12:
	.dbline 211
; 			  {
	.dbline 212
; 			  	   LCD_Rsymbol(ON);
	ldi R16,1
	xcall _LCD_Rsymbol
	.dbline 213
; 			  }
	xjmp L45
L44:
	.dbline 215
; 			  else
; 			  {
	.dbline 216
; 			  	   LCD_Rsymbol(OFF);
	clr R16
	xcall _LCD_Rsymbol
	.dbline 217
; 			  }
L45:
	.dbline 224
; 			 
; 			 
; 			 
; 			 
; 			 
; 			 //ensures LCD contrast is ok
; 			 Adjust_VoltageVolume();
	xcall _Adjust_VoltageVolume
	.dbline 225
; 			 DisplayLCDBuffers();
	xcall _DisplayLCDBuffers
	.dbline 226
; 			 LongDelay(10);
	ldi R16,10
	ldi R17,0
	xcall _LongDelay
	.dbline 227
; 			} 
L3:
	.dbline 138
	xjmp L2
X13:
	.dbline -2
L1:
	.dbline 0 ; func end
	adiw R28,29
	ret
	.dbsym l temp 15 A[13:13]c
	.dbsym r level 20 I
	.dbsym r sw4 12 c
	.dbsym r sw3 22 c
	.dbsym r sw2 14 c
	.dbsym l sw1 28 c
	.dbsym l temp1 2 A[13:13]c
	.dbend
	.area bss(ram, con, rel)
	.dbfile C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\TinyLCD_Controller.c
_numstrg::
	.blkb 9
	.dbsym e numstrg _numstrg A[9:9]c
_totalrxcnt::
	.blkb 2
	.dbsym e totalrxcnt _totalrxcnt i
_oldbyteoffset::
	.blkb 2
	.dbsym e oldbyteoffset _oldbyteoffset i
_oldpage::
	.blkb 2
	.dbsym e oldpage _oldpage i
_intelsuperaddress::
	.blkb 2
	.dbsym e intelsuperaddress _intelsuperaddress i
_TWI_statusReg::
	.blkb 1
	.dbfile C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\USI_TWI_Slave.h
	.dbstruct 0 1 TWI_S_statusReg
	.dbfield 0 dataInTxBuf F[0:1]
	.dbfield 0 dataInRxBuf F[1:1]
	.dbfield 0 genAddressCall F[2:1]
	.dbfield 0 RxBufOverflow F[3:1]
	.dbfield 0 TxBufOverflow F[4:1]
	.dbfield 0 unused F[5:3]
	.dbend
	.dbsym e TWI_statusReg _TWI_statusReg S[TWI_S_statusReg]
_FlashAddress::
	.blkb 3
	.dbfile C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\TinyLCD_Controller.c
	.dbsym e FlashAddress _FlashAddress A[3:3]c
_key4toggle::
	.blkb 1
	.dbsym e key4toggle _key4toggle c
_key3toggle::
	.blkb 1
	.dbsym e key3toggle _key3toggle c
_key2toggle::
	.blkb 1
	.dbsym e key2toggle _key2toggle c
_key1toggle::
	.blkb 1
	.dbsym e key1toggle _key1toggle c
_key4state::
	.blkb 1
	.dbsym e key4state _key4state c
_key3state::
	.blkb 1
	.dbsym e key3state _key3state c
_key2state::
	.blkb 1
	.dbsym e key2state _key2state c
_key1state::
	.blkb 1
	.dbsym e key1state _key1state c
_hexbyte::
	.blkb 3
	.dbsym e hexbyte _hexbyte A[3:3]c
_vhigh::
	.blkb 1
	.dbsym e vhigh _vhigh c
_vlow::
	.blkb 1
	.dbsym e vlow _vlow c
_instrg::
	.blkb 8
	.dbsym e instrg _instrg A[8:8]c
_rxcntmax::
	.blkb 1
	.dbsym e rxcntmax _rxcntmax c
_checkflag::
	.blkb 1
	.dbsym e checkflag _checkflag c
_rxcnt::
	.blkb 1
	.dbsym e rxcnt _rxcnt c
_sendxoff::
	.blkb 1
	.dbsym e sendxoff _sendxoff c
_echoinchars::
	.blkb 1
	.dbsym e echoinchars _echoinchars c
_enablexonoff::
	.blkb 1
	.dbsym e enablexonoff _enablexonoff c
_xonsent::
	.blkb 1
	.dbsym e xonsent _xonsent c
_xoffsent::
	.blkb 1
	.dbsym e xoffsent _xoffsent c
_UART_TxTail::
	.blkb 1
	.dbsym e UART_TxTail _UART_TxTail c
_UART_TxHead::
	.blkb 1
	.dbsym e UART_TxHead _UART_TxHead c
_UART_TxBuf::
	.blkb 64
	.dbsym e UART_TxBuf _UART_TxBuf A[64:64]c
_UART_RxTail::
	.blkb 1
	.dbsym e UART_RxTail _UART_RxTail c
_UART_RxHead::
	.blkb 1
	.dbsym e UART_RxHead _UART_RxHead c
_UART_RxBuf::
	.blkb 64
	.dbsym e UART_RxBuf _UART_RxBuf A[64:64]c
_rtcclockcnt::
	.blkb 1
	.dbsym e rtcclockcnt _rtcclockcnt c
_dataoverrun::
	.blkb 1
	.dbsym e dataoverrun _dataoverrun c
_frameerror::
	.blkb 1
	.dbsym e frameerror _frameerror c
_xoffcnt::
	.blkb 2
	.dbsym e xoffcnt _xoffcnt i
_xoncnt::
	.blkb 2
	.dbsym e xoncnt _xoncnt i
_totalbytecnt::
	.blkb 2
	.dbsym e totalbytecnt _totalbytecnt i
_days::
	.blkb 2
	.dbsym e days _days i
_hours::
	.blkb 2
	.dbsym e hours _hours i
_minutes::
	.blkb 2
	.dbsym e minutes _minutes i
_seconds::
	.blkb 2
	.dbsym e seconds _seconds i
_mseccountdown5::
	.blkb 2
	.dbsym e mseccountdown5 _mseccountdown5 i
_mseccountdown4::
	.blkb 2
	.dbsym e mseccountdown4 _mseccountdown4 i
_mseccountdown3::
	.blkb 2
	.dbsym e mseccountdown3 _mseccountdown3 i
_mseccountdown2::
	.blkb 2
	.dbsym e mseccountdown2 _mseccountdown2 i
_mseccountdown1::
	.blkb 2
	.dbsym e mseccountdown1 _mseccountdown1 i
_rtccountdown4::
	.blkb 2
	.dbsym e rtccountdown4 _rtccountdown4 i
_rtccountdown3::
	.blkb 2
	.dbsym e rtccountdown3 _rtccountdown3 i
_rtccountdown2::
	.blkb 2
	.dbsym e rtccountdown2 _rtccountdown2 i
_rtccountdown1::
	.blkb 2
	.dbsym e rtccountdown1 _rtccountdown1 i
	.area data(ram, con, rel)
	.dbfile C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\TinyLCD_Controller.c
L39:
	.blkb 12
	.area idata
	.byte 't,'h,'e,32,'d,'i,'s,'p,'l,'a,'y,0
	.area data(ram, con, rel)
	.dbfile C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\TinyLCD_Controller.c
L38:
	.blkb 10
	.area idata
	.byte 't,'o,32,'c,'h,'a,'n,'g,'e,0
	.area data(ram, con, rel)
	.dbfile C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\TinyLCD_Controller.c
L37:
	.blkb 7
	.area idata
	.byte 'b,'u,'t,'t,'o,'n,0
	.area data(ram, con, rel)
	.dbfile C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\TinyLCD_Controller.c
L36:
	.blkb 7
	.area idata
	.byte 'P,'u,'s,'h,32,'a,0
	.area data(ram, con, rel)
	.dbfile C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\TinyLCD_Controller.c
L35:
	.blkb 3
	.area idata
	.byte 'Z,61,0
	.area data(ram, con, rel)
	.dbfile C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\TinyLCD_Controller.c
L34:
	.blkb 3
	.area idata
	.byte 'Y,61,0
	.area data(ram, con, rel)
	.dbfile C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\TinyLCD_Controller.c
L33:
	.blkb 3
	.area idata
	.byte 'X,61,0
	.area data(ram, con, rel)
	.dbfile C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\TinyLCD_Controller.c
L32:
	.blkb 11
	.area idata
	.byte 'G,32,'R,'e,'a,'d,'i,'n,'g,'s,0
	.area data(ram, con, rel)
	.dbfile C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\TinyLCD_Controller.c
L29:
	.blkb 1
	.area idata
	.byte 0
	.area data(ram, con, rel)
	.dbfile C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\TinyLCD_Controller.c
L28:
	.blkb 8
	.area idata
	.byte 't,'i,'m,'e,32,'i,'s,0
	.area data(ram, con, rel)
	.dbfile C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\TinyLCD_Controller.c
L27:
	.blkb 7
	.area idata
	.byte 'S,'y,'s,'t,'e,'m,0
	.area data(ram, con, rel)
	.dbfile C:\DOCUME~1\stephen\Desktop\WORKIN~1\SMARTL~1\SMARTL~1\SmartLCD_g\TINYLC~1\TinyLCD_Controller.c
; 		
; 	    
; }
